#pragma once

#include "search_config_builder.h"

class TSearchConfigBuilderMemory : public TSearchConfigBuilder {
public:
    TSearchConfigBuilderMemory(const TRTYServerConfig& config);
    TAutoPtr<TSearchConfig> GetSearchConfig(const TPathName& dir) const;
};
